Create a new plugin with data provided in the request body. JSON format is expected.
POST
/data/plugins
curl
curl -X POST "http://api.example.com/data/plugins" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Plugin Name",
"active": false
}'
import requests
url = "http://api.example.com/data/plugins"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "Plugin Name",
"active": false
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/data/plugins' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"name":"Plugin Name","active":false}'
Request examples
{
"name": "Plugin Name",
"active": false
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Plugin Name",
"active": false,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}